/****************************************************************************
 ** Copyright (C) 2008-2013 Grigory A. Mozhaev <zcrendel@gmail.com>
 **
 ** This file is part of QMultiRecord (http://qt-apps.org/content/show.php?content=106254).
 **
 ** This file may be used under the terms of the GNU General Public
 ** License version 2.0 as published by the Free Software Foundation
 ** and appearing in the file LICENSE.GPL included in the packaging of
 ** this file.  Please review the following information to ensure GNU
 ** General Public Licensing requirements will be met:
 ** http://www.trolltech.com/products/qt/opensource.html
 **
 ** This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
 ** WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 ****************************************************************************/

//! -*- coding: UTF-8 -*-
#define SOURCE_CODING "UTF-8"

#include <QtCore>
#include <QPainter>

#include "define.h"

#include "nofocusitemdelegate.h"

void NoFocusItemDelegate::paint(QPainter * apPainter, const QStyleOptionViewItem & aOption,
                                 const QModelIndex & aIndex) const {
    Q_ASSERT(apPainter);

    QPen vOldPen(apPainter->pen());
    QPen vPen(apPainter->pen());
    vPen.setStyle(Qt::NoPen);
    apPainter->setBrush(Qt::NoBrush);

    apPainter->setPen(vPen);
    //apPainter->setBrush(QBrush(QColor(140, 200, 210)));
    apPainter->drawRect(aOption.rect);
    apPainter->setPen(vOldPen);

    QItemDelegate::paint(apPainter, aOption, aIndex);
}


