/****************************************************************************
 ** Copyright (C) 2008-2013 Grigory A. Mozhaev <zcrendel@gmail.com>
 **
 ** This file is part of QMultiRecord (http://qt-apps.org/content/show.php?content=106254).
 **
 ** This file may be used under the terms of the GNU General Public
 ** License version 2.0 as published by the Free Software Foundation
 ** and appearing in the file LICENSE.GPL included in the packaging of
 ** this file.  Please review the following information to ensure GNU
 ** General Public Licensing requirements will be met:
 ** http://www.trolltech.com/products/qt/opensource.html
 **
 ** This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
 ** WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 ****************************************************************************/
#ifndef _CSELECTDIALOG_H_
#define _CSELECTDIALOG_H_

#ifdef QT_5
#include <QtWidgets>
#else
#include <QtGui>
#endif

#include "ui_selectdialog.h"

class SelectDialog : public QDialog, public Ui_SelectDialog {
Q_OBJECT

public:
    SelectDialog(QWidget *parent = 0, Qt::WindowFlags f = 0);
    virtual ~SelectDialog();

    void init(const QStringList& list);
    bool isChecked(const QString &itemName);

private slots:
    void on_listWidget_itemChanged(QListWidgetItem *);

private:
    void canContinue();

    int m_checkedCount;
};

#endif /* _CSELECTDIALOG_H_ */
